Error in SSL_accept after upgrading server and clients

3 posts / 0 new
Last post
Nano
Error in SSL_accept after upgrading server and clients

Hi,

everything was working fine.
After upgrading the server and clients to the latest version I get the following error on one client:

Error in SSL_accept, error:140760FC:SSL routines:SSL23_GET_CLIENT_HELLO:unknown protocol

The certs and keys did not change. The certs are still valid.

Any idea?

vhusbdarmpi2 v2.5.5
VirtualHere USB Server for Raspberry Pi (Optimized build)

VirtualHere Client 3.1.9 starting (Compiled: Oct 16 2015 18:47:55)

pi@raspberrypi /etc/vhusbd $ uname -a
Linux raspberrypi 4.1.10-v7+ #821 SMP PREEMPT Sat Oct 10 00:16:28 BST 2015 armv7l GNU/Linux

Michael
Can you update your client,

Can you update your client, to 3.2.2, and try again

Nano
Ok, it seems that I found the

Ok, it seems that I found the root cause in the mean time.
It was caused by the CRL which was attached to the ca.crt file.
After removing it, it worked again.

All clients are working now with 3.2.2.

Log in or register to post comments